Subject: bug#17044: R6RS open-input-file failed to recognize UTF-8 encoded file

From: Xin Wang <[email-masked]>
Date: Thu, 20 Mar 2014 08:41:15 +0800

`open-input-file' in (rnrs io simple) can not recognize UTF-8 encoded file,
`open-input-file' in core do not have this problem.

I think it is caused by a bug in definition of `open-input-file', which
forget to pass third argument `buffer-mode' to `open-file-input-port'.

BTW, `open-output-file' seems to have a similar problem.